<?
/*-------------------------------------------------------
 * @Module Name: LS Arduino
 * @Module URI: http://robocraft.ru
 * @Description: модуль получения данных от платы ардуино
 * @Version: 0.01
 * @Author: Vladimir (noonv)
 * @Author URI: http://robocraft.ru
 * @LiveStreet Version: 0.3.1
 * @License: RoboCraft.ru
 *----------------------------------------------------------------------------
 */

set_include_path(get_include_path().PATH_SEPARATOR.dirname(dirname(dirname(__FILE__))));
$sDirRoot=dirname(dirname(dirname(__FILE__)));
require_once($sDirRoot."/config/config.ajax.php");

header('Content-Type: text/html; charset=utf-8');

$userid=-1;

$user_login = getRequest('user_login');
$user_pass = getRequest('user_pass');

if(!$user_login || !$user_pass)
	exit ("440 error!");

//
// получаем пользователя по логину
//
$oUser=$oEngine->User_GetUserByLogin($user_login);

if(!$oUser)
	exit("440 no user");

//
// сверяем пароли
//
if($oUser->getPassword()!=func_encrypt($user_pass))
	exit("440 wrong password!");

// пока только для админа
// if($oUser->getId()!=1)
	// exit("440 admin only");

$note_text = getRequest('note_text');
$note_data = getRequest('note_data');

if(!$note_text || !$note_data)
	exit ("440 no data!");

$note_user_id = $oUser->getId();
$note_date = date("Y-m-d H:i:s");
$note_visible=1;

// сохраняем сообщение
$oEngine->LsArduino_AddNote($note_text, $note_data, $note_date, $note_user_id, $note_visible);

$str = "сообщение добавлено";

$GLOBALS['_RESULT'] = array(
"bStateError"     => $bStateError,
"bState"   => $bState,
"sStr" => $str,
);

exit("220 Ok!");

?>
