/*-------------------------------------------------------
 * @Module Name: LS Arduino
 * @Module URI: http://robocraft.ru
 * @Description: модуль получения данных от платы ардуино
 * @Version: 0.01
 * @Author: Vladimir (noonv)
 * @Author URI: http://robocraft.ru
 * @LiveStreet Version: 0.3.1
 * @License: RoboCraft.ru
 *----------------------------------------------------------------------------
 */

int ledPin = 13;                // LED connected to digital pin 13

char val = 0;                   // variable to store the data from the serial port


void setup()                    // run once, when the sketch starts
{
  pinMode(ledPin, OUTPUT);      // sets the digital pin as output
  Serial.begin(9600);
}

void loop()                      // run over and over again
{
  if( Serial.available() ) 
  {
    val = Serial.read();         // read the  port
    int r = (int)val-48;         // from char to number ^_^)
    //Serial.println(r);
    switch(r)
    {
      case 0:
        Serial.println("Hello :)");
        break;
      case 1:
        digitalWrite(ledPin, HIGH);   // sets the LED on
        Serial.println("3");
      break;
      case 2:
         digitalWrite(ledPin, LOW);    // sets the LED off
        Serial.println("3");
      break;
      default:
        Serial.println("4");
      break;
    }
  }
  delay(1000);                  // waits for a second
}
