<?php
/*-------------------------------------------------------
 * @Module Name: LS Arduino
 * @Module URI: http://robocraft.ru
 * @Description: модуль получения данных от платы ардуино
 * @Version: 0.01
 * @Author: Vladimir (noonv)
 * @Author URI: http://robocraft.ru
 * @LiveStreet Version: 0.3.1
 * @License: RoboCraft.ru
 *----------------------------------------------------------------------------
 */

/**
 * Русский языковой файл для модуля "lsarduino"
 */
return array(
	/**
	 * Статический страницы
	 */
	'lsarduino_notes' => 'Сообщения',
	'lsarduino_actions' => 'Задания',
	'lsarduino_note_user' => 'Пользователь',
	'lsarduino_note_text' => 'Текст',
	'lsarduino_note_nb' => 'Примечание',
	'lsarduino_note_data' => 'Данные',
	'lsarduino_note_action' => 'Задание',
	'lsarduino_note_status' => 'Статус',
	'lsarduino_note_action_add' => 'Добавить задание',
	'lsarduino_note_date' => 'Дата',
	'lsarduino_note_delete' => 'Удалить',
	'lsarduino_dell_succes' => 'Запись удалена',
	'lsarduino_add_succes' => 'Запись добавлена',
	'lsarduino_add_duplicate' => 'Такое задание уже задано',
	'lsarduino_info' => 'Что это такое?',
	'lsarduino_about_notes' => 'Здесь содержатся сообщения, полученные от платы <a href="http://arduino.cc">Arduino</a>.<br/> Работает это очень просто - плата Arduino/CraftDuino подключается к ПК через USB. На ПК работает скрипт на питоне, который в определённое время опрашивает плату и высылает данные в БД сайта.',
	'lsarduino_about_actions' => 'Здесь содержатся задания, добавленные для платы <a href="http://arduino.cc">Arduino</a>.<br/> Работает это так - пользователь добавляет задание в БД сайта. На ПК работает скрипт на питоне, который в определённые промежутки времени загружает с сайта <a href="/lsarduino/actions">задания</a> и передаёт их плате Arduino/CraftDuino, которая их выполняет.',
);

?>
